<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Edible_Base/Zucchini.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d90/_zucchini_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Zucchini.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d90/_zucchini_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d94/class_zucchini.html">Zucchini</a> : <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html#a5ac0b019266a1ae5d0edf833129af245">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d94/class_zucchini.html#a5ac0b019266a1ae5d0edf833129af245">CanBeCookedOnStick</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html#a1b846033df828ceef14961101ce85f55">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d94/class_zucchini.html#a1b846033df828ceef14961101ce85f55">CanBeCooked</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }   </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html#a10c55648d2669381d0b7ccc13854fe8d">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d94/class_zucchini.html#a10c55648d2669381d0b7ccc13854fe8d">IsFruit</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html#a6312b1e1085e825c7dc50679d30fc489">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d94/class_zucchini.html#a6312b1e1085e825c7dc50679d30fc489">CanDecay</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html#a5e14056dbda96b8221a8c066728f6e7e">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d94/class_zucchini.html#a5e14056dbda96b8221a8c066728f6e7e">SetActions</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        super.SetActions();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d0d/class_action_force_feed.html">ActionForceFeed</a>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d9/d29/class_action_eat_fruit.html">ActionEatFruit</a>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d0/d80/class_action_create_indoor_fireplace.html">ActionCreateIndoorFireplace</a>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../db/de0/class_action_create_indoor_oven.html">ActionCreateIndoorOven</a>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../de/d94/class_zucchini.html#acf86e3c82cdca8edd21e4d28a717c462">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d94/class_zucchini.html#acf86e3c82cdca8edd21e4d28a717c462">EEOnCECreate</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordtype">int</span> rand = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(0,10);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( rand &gt; 6 )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <a class="code hl_function" href="../../d8/d81/_edible___base_8c.html#a5f934e367a94731e5e93c4e4615e62b6">ChangeFoodStage</a>( <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.ROTTEN );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a06e179b153af2d7dbc7d007ba0fbdf8a">SetHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, <a class="code hl_function" href="../../dd/d93/_object_8c.html#af52e22bb2e3b1317cad039ef707341ae">GetMaxHealth</a>()*0.1 );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( rand &gt; 2 )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_function" href="../../d8/d81/_edible___base_8c.html#a5f934e367a94731e5e93c4e4615e62b6">ChangeFoodStage</a>( <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.DRIED );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a06e179b153af2d7dbc7d007ba0fbdf8a">SetHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, <a class="code hl_function" href="../../dd/d93/_object_8c.html#af52e22bb2e3b1317cad039ef707341ae">GetMaxHealth</a>()*0.4 );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_edible___base_8c_html_a5f934e367a94731e5e93c4e4615e62b6"><div class="ttname"><a href="../../d8/d81/_edible___base_8c.html#a5f934e367a94731e5e93c4e4615e62b6">ChangeFoodStage</a></div><div class="ttdeci">void ChangeFoodStage(FoodStageType new_food_stage_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d81/_edible___base_8c_source.html#l01241">Edible_Base.c:1241</a></div></div>
<div class="ttc" id="a_food_stage_8c_html_a41b01b1ab76bb334479607981e0f22e8"><div class="ttname"><a href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a></div><div class="ttdeci">FoodStageType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d0e/_food_stage_8c_source.html#l00001">FoodStage.c:2</a></div></div>
<div class="ttc" id="a_object_8c_html_a06e179b153af2d7dbc7d007ba0fbdf8a"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a06e179b153af2d7dbc7d007ba0fbdf8a">SetHealth</a></div><div class="ttdeci">proto native void SetHealth(string zoneName, string healthType, float value)</div><div class="ttdoc">Sets current state of health.</div></div>
<div class="ttc" id="a_object_8c_html_af52e22bb2e3b1317cad039ef707341ae"><div class="ttname"><a href="../../dd/d93/_object_8c.html#af52e22bb2e3b1317cad039ef707341ae">GetMaxHealth</a></div><div class="ttdeci">float GetMaxHealth()</div><div class="ttdoc">Equivalent of GetMaxHealth(&quot;&quot;, &quot;&quot;);.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00900">Object.c:900</a></div></div>
<div class="ttc" id="aclass_action_create_indoor_fireplace_html"><div class="ttname"><a href="../../d0/d80/class_action_create_indoor_fireplace.html">ActionCreateIndoorFireplace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3a/_action_create_indoor_fireplace_8c_source.html#l00001">ActionCreateIndoorFireplace.c:2</a></div></div>
<div class="ttc" id="aclass_action_create_indoor_oven_html"><div class="ttname"><a href="../../db/de0/class_action_create_indoor_oven.html">ActionCreateIndoorOven</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d85/_action_create_indoor_oven_8c_source.html#l00001">ActionCreateIndoorOven.c:2</a></div></div>
<div class="ttc" id="aclass_action_eat_fruit_html"><div class="ttname"><a href="../../d9/d29/class_action_eat_fruit.html">ActionEatFruit</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d6b/_action_eat_fruit_8c_source.html#l00009">ActionEatFruit.c:10</a></div></div>
<div class="ttc" id="aclass_action_force_feed_html"><div class="ttname"><a href="../../d4/d0d/class_action_force_feed.html">ActionForceFeed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd9/_action_force_feed_8c_source.html#l00009">ActionForceFeed.c:10</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_zucchini_html"><div class="ttname"><a href="../../de/d94/class_zucchini.html">Zucchini</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00001">Zucchini.c:2</a></div></div>
<div class="ttc" id="aclass_zucchini_html_a10c55648d2669381d0b7ccc13854fe8d"><div class="ttname"><a href="../../de/d94/class_zucchini.html#a10c55648d2669381d0b7ccc13854fe8d">Zucchini::IsFruit</a></div><div class="ttdeci">override bool IsFruit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00013">Zucchini.c:13</a></div></div>
<div class="ttc" id="aclass_zucchini_html_a1b846033df828ceef14961101ce85f55"><div class="ttname"><a href="../../de/d94/class_zucchini.html#a1b846033df828ceef14961101ce85f55">Zucchini::CanBeCooked</a></div><div class="ttdeci">override bool CanBeCooked()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00008">Zucchini.c:8</a></div></div>
<div class="ttc" id="aclass_zucchini_html_a5ac0b019266a1ae5d0edf833129af245"><div class="ttname"><a href="../../de/d94/class_zucchini.html#a5ac0b019266a1ae5d0edf833129af245">Zucchini::CanBeCookedOnStick</a></div><div class="ttdeci">override bool CanBeCookedOnStick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00003">Zucchini.c:3</a></div></div>
<div class="ttc" id="aclass_zucchini_html_a5e14056dbda96b8221a8c066728f6e7e"><div class="ttname"><a href="../../de/d94/class_zucchini.html#a5e14056dbda96b8221a8c066728f6e7e">Zucchini::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00023">Zucchini.c:23</a></div></div>
<div class="ttc" id="aclass_zucchini_html_a6312b1e1085e825c7dc50679d30fc489"><div class="ttname"><a href="../../de/d94/class_zucchini.html#a6312b1e1085e825c7dc50679d30fc489">Zucchini::CanDecay</a></div><div class="ttdeci">override bool CanDecay()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00018">Zucchini.c:18</a></div></div>
<div class="ttc" id="aclass_zucchini_html_acf86e3c82cdca8edd21e4d28a717c462"><div class="ttname"><a href="../../de/d94/class_zucchini.html#acf86e3c82cdca8edd21e4d28a717c462">Zucchini::EEOnCECreate</a></div><div class="ttdeci">override void EEOnCECreate()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d90/_zucchini_8c_source.html#l00033">Zucchini.c:33</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_10f6392f0ea96a77d71bf5a7e1dc9fd9.html">Edible_Base</a></li><li class="navelem"><a class="el" href="../../d0/d90/_zucchini_8c.html">Zucchini.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
